Bug 473180 - Review Request: lzip - LZMA compressor with integrity checking
Review Request: lzip - LZMA compressor with integrity checking
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 18:18 EST by Till Maas
Modified: 2014-09-24 06:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:23:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-11-26 18:18:19 EST
Spec URL: http://till.fedorapeople.org/review/lzip.spec
SRPM URL: http://till.fedorapeople.org/review/lzip-1.1-1.tillf8.src.rpm
Description:
Lzip compresses data using LZMA (Lempel-Ziv-Markov chain-Algorithm). It
supports integrity checking using CRC (Cyclic Redundancy Check). To archive
multiple files, tar can be used with lzip. Please note, that the lzip file
format (.lz) is not compatible with the lzma file format (.lzma).


Upstream of pam_mount changed to use this to compress their tarballs, therefore I need it to update pam_mount in rawhide.
Comment 1 Till Maas 2008-11-26 18:19:48 EST
Koji scratch build for F11:
http://koji.fedoraproject.org/koji/taskinfo?taskID=953814
Comment 2 manuel wolfshant 2008-11-26 21:36:04 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [!] Rpmlint output: (see note 1)
source RPM:
   lzip.src: W: spelling-error-in-summary integrety integrity
binary RPM:
   lzip.x86_64: E: zero-length /usr/share/doc/lzip-1.1/TODO (see note 2)
   lzip.x86_64: W: spelling-error-in-summary integrety integrity
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv3+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, conta
ining the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 81e920830239a6769164946e6466ff7386e7ce8e lzip-1.1.tar.bz2
 [x] Package is not known to require ExcludeArch
 [-] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section o
f Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane:
=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English lang
uages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build (http://koji.fedoraproject.org/koji/taskinfo?taskID=953814)
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes. (see note 3)


=== Final Notes ===
1. please do not forget to fix the typo in %summary before uploading
2. the TODO file is empty hence useless; I suggest to ditch it
3. there is a check test provided, would be nice to integrate it if possible

================
*** APPROVED ***
================
Comment 3 Till Maas 2008-11-27 07:01:23 EST
Thank you very much for this fast review. I will address all your notes. But I am a little bit uncertain about the TODO file, because I would like to have some mechanism to add it only if it is not empty, e.g. if some contents are added in a future release. I asked in fedora-devel whether this is possible.


New Package CVS Request
=======================
Package Name: lzip
Short Description: LZMA compressor with integrity checking
Owners: till
Branches: F-9 F-10 EL-5
InitialCC:
Comment 4 Kevin Fenzi 2008-12-01 16:42:14 EST
cvs done.
Comment 5 Fedora Update System 2008-12-02 13:51:28 EST
lzip-1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lzip-1.1-2.fc10
Comment 6 Fedora Update System 2008-12-02 13:51:32 EST
lzip-1.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lzip-1.1-2.fc9
Comment 7 Fedora Update System 2008-12-06 23:23:46 EST
lzip-1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-06 23:28:03 EST
lzip-1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Gwyn Ciesla 2014-09-24 06:05:58 EDT
Package Change Request
======================
Package Name: lzip
New Branches: epel7
Owners: limb
Comment 10 Gwyn Ciesla 2014-09-24 06:11:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.